Subject: Re: Device tree aware EMAC driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 08 Aug 2007 17:33:23 +1000

>  * c++ style comments

Ouch... I haven't removed them all ? I promise I didn't -add- any :-)

>  * in emac_probe():
> 	+	/* Wait for dependent devices */
> 	+	err = -ENODEV;
> 	+	err = emac_wait_deps(dev);
>     The initialisation to -ENODEV is pointless right?

Leftover from when it was coded differently yes.

>  * s/get_property/of_get_property/g  or you'll make sfr grumpy ;)
>  * In drivers/net/ibm_newemac/Makefile, I think the preferred method is
>    to use ibm_newemac-y rather than ibm_newemac-objs.
> 
> Is there any reason to leave config IBM_NEW_EMAC (and IBM_EMAC) in
> drivers/net/Kconfig ?  It seems to me they'd be nicer to in the
> appropriate drivers/net/*Kconfig.

Probably.

Ben.